Subject: git-fetch does not update checked out tree when commit hash changes
From: Pjotr Prins <[email-masked]>
To: [email-masked]
Date: Thu, 21 Jan 2016 07:54:03 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I can reliably reproduce this using a recent version of GNU Guix. 

When updating the commit hash to a different commit the git-fetch
derivation *does* change (I checked in guile), but the checked out git
tree in the store does not change - it gets shared between the
commits. I am not sure why the tree gets shared, but the effect is
that the same package gets installed using the same
/gnu/store/xxx-git-checkout.

Removing the git-checkout dir and updating the Hash gives a missing
dir error (as expected when they use the same).